/*
 * e_filtr1h_2T.h
 *
 *  Created on: 06-07-2016
 *      Author: Krzysztof Jakubczyk
 */

#ifndef E_FILTR1H_2T_IN_H_
#define E_FILTR1H_2T_IN_H_

#include "tdefs.h"
#include "config.h"

struct e_filtr1h_2t_logic
{
	float wsp_filtr_sin_[2*MAIN_FREQ_PERIOD_MS]; ///< wspolczynniki filtracji dla sinus z korekcja fazowa
	float wsp_filtr_cos_[2*MAIN_FREQ_PERIOD_MS]; ///< wspolczynniki filtracji dla cosinus z korekcja fazowa
	u16 *buf_ptr;
	float *esk_ptr;
	float *orta_ptr;
	float *ortb_ptr;
};

struct e_filtr1h_2t_io
{
	u32 buf_u16_ptr_in;
	u32 param_an_ptr_in;
	u32 orta_float_out;
	u32 ortb_float_out;
	u32 esk_float_out;
}__attribute__((__packed__));

struct e_filtr1h_2t_params
{
}__attribute__((__packed__));

struct e_filtr1h_2t_args
{
	struct e_filtr1h_2t_io io;
	struct e_filtr1h_2t_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void e_filtr1h_2t(void *args, void *logic);
extern int e_filtr1h_2t_initlog(void *arguments, void *logic);

#endif /* E_FILTR1H_2T_H_ */
